"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.approveTokenDelegate = exports.getApproveTokenDelegateInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getApproveTokenDelegateInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([
        ['discriminator', s.u8()],
        ['amount', s.u64()],
    ], { description: 'ApproveTokenDelegateInstructionData' }), (value) => ({ ...value, discriminator: 4 }));
}
exports.getApproveTokenDelegateInstructionDataSerializer = getApproveTokenDelegateInstructionDataSerializer;
function approveTokenDelegate(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splToken', 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA');
    const sourceAccount = input.source;
    const delegateAccount = input.delegate;
    const ownerAccount = input.owner;
    keys.push({
        pubkey: sourceAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(sourceAccount, true),
    });
    keys.push({
        pubkey: delegateAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(delegateAccount, false),
    });
    signers.push(ownerAccount);
    keys.push({
        pubkey: ownerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    const data = getApproveTokenDelegateInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.approveTokenDelegate = approveTokenDelegate;
//# sourceMappingURL=approveTokenDelegate.js.map