"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeLut = exports.getCloseLutInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getCloseLutInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u32()]], {
        description: 'CloseLutInstructionData',
    }), (value) => ({ ...value, discriminator: 4 }));
}
exports.getCloseLutInstructionDataSerializer = getCloseLutInstructionDataSerializer;
function closeLut(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splAddressLookupTable', 'AddressLookupTab1e1111111111111111111111111');
    const addressAccount = input.address;
    const authorityAccount = input.authority ?? context.identity;
    const recipientAccount = input.recipient;
    keys.push({
        pubkey: addressAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(addressAccount, true),
    });
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, false),
    });
    keys.push({
        pubkey: recipientAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(recipientAccount, true),
    });
    const data = getCloseLutInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.closeLut = closeLut;
//# sourceMappingURL=closeLut.js.map