import { Context, PublicKey, Serializer, Signer, SolAmount, TransactionBuilder } from '@metaplex-foundation/umi';
export type CreateAccountInstructionAccounts = {
    payer?: Signer;
    newAccount: Signer;
};
export type CreateAccountInstructionData = {
    discriminator: number;
    lamports: SolAmount;
    space: bigint;
    programId: PublicKey;
};
export type CreateAccountInstructionDataArgs = {
    lamports: SolAmount;
    space: number | bigint;
    programId: PublicKey;
};
export declare function getCreateAccountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateAccountInstructionDataArgs, CreateAccountInstructionData>;
export declare function createAccount(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: CreateAccountInstructionAccounts & CreateAccountInstructionDataArgs): TransactionBuilder;
