import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type MintTokensToInstructionAccounts = {
    mint: PublicKey;
    token: PublicKey;
    mintAuthority?: Signer;
};
export type MintTokensToInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type MintTokensToInstructionDataArgs = {
    amount: number | bigint;
};
export declare function getMintTokensToInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintTokensToInstructionDataArgs, MintTokensToInstructionData>;
export declare function mintTokensTo(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: MintTokensToInstructionAccounts & MintTokensToInstructionDataArgs): TransactionBuilder;
