"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.thawToken = exports.getThawTokenInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getThawTokenInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.u8()]], {
        description: 'ThawTokenInstructionData',
    }), (value) => ({ ...value, discriminator: 11 }));
}
exports.getThawTokenInstructionDataSerializer = getThawTokenInstructionDataSerializer;
function thawToken(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('splToken', 'TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA');
    const accountAccount = input.account;
    const mintAccount = input.mint;
    const ownerAccount = input.owner;
    keys.push({
        pubkey: accountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(accountAccount, true),
    });
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(mintAccount, false),
    });
    signers.push(ownerAccount);
    keys.push({
        pubkey: ownerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    const data = getThawTokenInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return (0, umi_1.transactionBuilder)([
        { instruction: { keys, programId, data }, signers, bytesCreatedOnChain },
    ]);
}
exports.thawToken = thawToken;
//# sourceMappingURL=thawToken.js.map