import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type TransferTokensInstructionAccounts = {
    source: PublicKey;
    destination: PublicKey;
    authority?: Signer;
};
export type TransferTokensInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type TransferTokensInstructionDataArgs = {
    amount: number | bigint;
};
export declare function getTransferTokensInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferTokensInstructionDataArgs, TransferTokensInstructionData>;
export declare function transferTokens(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferTokensInstructionAccounts & TransferTokensInstructionDataArgs): TransactionBuilder;
